%global adobe_priority 100

Name:           adobe-color-profiles
Version:        4
Release:        1%{?dist}
Summary:        Adobe Color profiles

Group:          Unspecified
License:        Proprietary
URL:            http://www.adobe.com/digitalimag/adobergb.html
Source0:        http://download.adobe.com/pub/adobe/iccprofiles/win/AdobeICCProfilesCS4Win_end-user.zip
NoSource:       0
#Source0:        http://download.adobe.com/pub/adobe/iccprofiles/win/AdobeICCProfilesCS4Win_bundler.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  color-filesystem
Requires:       color-filesystem
Requires(pre):  /usr/sbin/update-alternatives
Requires(post): /usr/sbin/update-alternatives

%description
The adobe-color-profiles package contains various profiles which are useful for
programs that are color management aware.
This package only contains the profiles from Adobe.


%prep
%setup -q -n "Adobe ICC Profiles (end-user)"


%build
#Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_icccolordir}/Adobe
cp -pR RGB CMYK $RPM_BUILD_ROOT%{_icccolordir}/Adobe

#Touch for alternatives ownership
touch $RPM_BUILD_ROOT%{_icccolordir}/CoatedFOGRA27.icc
touch $RPM_BUILD_ROOT%{_icccolordir}/CoatedFOGRA39.icc
touch $RPM_BUILD_ROOT%{_icccolordir}/sRGB.icc


%clean
rm -rf $RPM_BUILD_ROOT


%post
/usr/sbin/update-alternatives --install %{_icccolordir}/sRGB.icc sRGB.icc \
  %{_icccolordir}/Adobe/RGB/AppleRGB.icc 50
/usr/sbin/update-alternatives --install %{_icccolordir}/sRGB.icc sRGB.icc \
  %{_icccolordir}/Adobe/RGB/AdobeRGB1998.icc %{adobe_priority}
/usr/sbin/update-alternatives --install %{_icccolordir}/CoatedFOGRA27.icc CoatedFOGRA27.icc \
  %{_icccolordir}/Adobe/CMYK/CoatedFOGRA27.icc %{adobe_priority}
/usr/sbin/update-alternatives --install %{_icccolordir}/CoatedFOGRA39.icc CoatedFOGRA39.icc \
  %{_icccolordir}/Adobe/CMYK/CoatedFOGRA39.icc %{adobe_priority}


%postun
if [ $1 -eq 0 ]; then
/usr/sbin/update-alternatives --remove sRGB.icc \
  %{_icccolordir}/Adobe/RGB/AppleRGB.icc
/usr/sbin/update-alternatives --remove sRGB.icc \
  %{_icccolordir}/Adobe/RGB/AdobeRGB1998.icc
/usr/sbin/update-alternatives --remove sRGB.icc \
  %{_icccolordir}/Adobe/CMYK/CoatedFOGRA27.icc
/usr/sbin/update-alternatives --remove CoatedFOGRA39.icc \
  %{_icccolordir}/Adobe/CMYK/CoatedFOGRA39.icc
fi


%files
%defattr(-,root,root,-)
%doc *.pdf
%dir %{_icccolordir}/Adobe
%dir %{_icccolordir}/Adobe/RGB
%{_icccolordir}/Adobe/RGB/*.icc
%dir %{_icccolordir}/Adobe/CMYK
%{_icccolordir}/Adobe/CMYK/*.icc
#Alternatives ownership
%ghost %{_icccolordir}/sRGB.icc
%ghost %{_icccolordir}/CoatedFOGRA27.icc
%ghost %{_icccolordir}/CoatedFOGRA39.icc


%changelog
* Mon Sep 20 2010 Nicolas Chauvet <kwizart@gmail.com> - 4-1
- Initial Spec file

